.course-image {
    width: 50px;
    height: 50px;
    object-fit: cover;
    border-radius: 10px;
    padding: 5px;
}
.nav-item .nav-link.active .icon {
    background-color: #007bff !important;
}

.nav-item .nav-link.active .icon i {
    color: white !important;
}

.nav-item:hover {
    border-radius: 8px;
    transition: all 0.3s ease-in-out;
}

.nav-link:hover {
    color: #007bff !important;
    transform: scale(1.05);
}

.nav-link {
    margin-right: 10px;
    padding: 10px;
}
.nav-link i {
    transition: transform 0.3s ease-in-out;
    font-size: 15px;
    padding: 10px;
}

.blurred-background {
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.blog-image {
    width: 50px;
    height: 50px;
    object-fit: contain;
}

.custom-switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 24px;
}
.custom-switch input {
    opacity: 0;
    width: 0;
    height: 0;
}
.custom-slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: background 0.3s;
    border-radius: 34px;
}
.custom-slider:before {
    position: absolute;
    content: "";
    height: 18px;
    width: 18px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    transition: transform 0.3s;
    border-radius: 50%;
}
.custom-switch input:checked + .custom-slider {
    background-color: #007aff;
}
.custom-switch input:checked + .custom-slider:before {
    transform: translateX(26px);
}
.goback {
    position: fixed;
    top: 15px;
    left: 15px;
    font-size: 28px;
    color: black;
    text-decoration: none;
    transition: color 0.3s ease, transform 0.2s ease;
    z-index: 1000;
}

.goback:hover {
    color: var(--alt-color);
    transform: scale(1.1);
}
html,
body {
    height: 100%;
    overflow: hidden;
}

.g-sidenav-show {
    height: 100vh;
    overflow-y: auto;
}

.main-content {
    height: auto;
    overflow: visible;
}

.last-row-spacing td {
    padding-bottom: 8rem !important;
}
.scrollable-dropdown {
    max-height: 108px !important;
    overflow-y: auto !important;
}

.btn-cancel {
    color: #ffffff !important;
    background: #ff0000 !important;
    border: none !important;
    border-radius: #777 !important;
    cursor: pointer !important;
}
.btn-cancel:hover,
.btn-draft:hover,
.btn-submit:hover,
.btn-dark:hover,
.btn-light:hover {
    background: #777 !important;
    box-shadow: #333 !important;
    color: #000000 !important;
}

.btn-submit {
    color: #ffffff !important;
    background: #007bff !important;
    border: none !important;
    border-radius: #777 !important;
    cursor: pointer !important;
}

.btn-draft {
    color: #ffffff !important;
    background: #333 !important;
    border: none !important;
    border-radius: #777 !important;
    cursor: pointer !important;
}

.active-row {
    background-color: rgba(0, 123, 255, 0.05) !important;
    border-left: 4px solid #007bff !important;
    box-shadow: 0 0 10px rgba(0, 123, 255, 0.1) !important;
    transition: background-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out,
        transform 0.3s ease-in-out !important;
    border-radius: 8px !important;
    transform: scale(1.01);
}
